/*
 * The Kuali Financial System, a comprehensive financial management system for higher education.
 *
 * Copyright 2005-2016 The Kuali Foundation
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.kuali.kfs.module.ld.batch;

import org.kuali.kfs.module.ld.batch.service.LaborScrubberService;
import org.kuali.kfs.module.ld.document.service.LaborCorrectionDocumentService;
import org.kuali.kfs.sys.batch.AbstractWrappedBatchStep;
import org.kuali.kfs.sys.batch.service.WrappedBatchExecutorService.CustomBatchExecutor;

import java.util.List;

/**
 * Labor scrubber Batch Step.
 */
public class LaborCorrectionProcessScrubberStep extends AbstractWrappedBatchStep {
    public static final String STEP_NAME = "laborCorrectionProcessScrubberStep";
    private String documentId;
    private LaborCorrectionDocumentService laborCorrectionDocumentService;
    private LaborScrubberService laborScrubberService;

    /**
     * @see org.kuali.kfs.sys.batch.AbstractStep#getRequiredDirectoryNames()
     */
    @Override
    public List<String> getRequiredDirectoryNames() {
        return laborCorrectionDocumentService.getRequiredDirectoryNames();
    }

    @Override
    protected CustomBatchExecutor getCustomBatchExecutor() {
        return new CustomBatchExecutor() {
            public boolean execute() {
                laborScrubberService.scrubGroupReportOnly(laborCorrectionDocumentService.generateOutputOriginEntryFileName(documentId), documentId);
                return true;
            }
        };
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public void setLaborCorrectionDocumentService(LaborCorrectionDocumentService laborCorrectionDocumentService) {
        this.laborCorrectionDocumentService = laborCorrectionDocumentService;
    }

    public void setLaborScrubberService(LaborScrubberService laborScrubberService) {
        this.laborScrubberService = laborScrubberService;
    }
}
