<%--
   - The Kuali Financial System, a comprehensive financial management system for higher education.
   -
   - Copyright 2005-2016 The Kuali Foundation
   -
   - This program is free software: you can redistribute it and/or modify
   - it under the terms of the GNU Affero General Public License as
   - published by the Free Software Foundation, either version 3 of the
   - License, or (at your option) any later version.
   -
   - This program is distributed in the hope that it will be useful,
   - but WITHOUT ANY WARRANTY; without even the implied warranty of
   - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   - GNU Affero General Public License for more details.
   -
   - You should have received a copy of the GNU Affero General Public License
   - along with this program.  If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ include file="/jsp/sys/kfsTldHeader.jsp"%>

<%@ attribute name="overrideTitle" required="false"
	description="The title to be used for this section." %>
<%@ attribute name="documentAttributes" required="false" type="java.util.Map"
	description="The DataDictionary entry containing attributes for this row's fields." %>
<%@ attribute name="itemAttributes" required="true" type="java.util.Map"
	description="The DataDictionary entry containing attributes for this row's fields."%>
<%@ attribute name="accountingLineAttributes" required="true"
	type="java.util.Map"
	description="The DataDictionary entry containing attributes for this row's fields."%>
<%@ attribute name="mainColumnCount" required="true" %>
<%@ attribute name="colSpanItemType" required="true" %>
<%@ attribute name="colSpanExtendedPrice" required="true" %>

<c:if test="${empty overrideTitle}">
	<c:set var="overrideTitle" value="Tax Withholding Charges"/>
</c:if>
<c:set var="colSpanBlank" value="${mainColumnCount - (colSpanItemType + colSpanExtendedPrice)}" />

<c:set var="currentTabIndex" value="${KualiForm.currentTabIndex}" scope="request" />
<c:set var="topLevelTabIndex" value="${KualiForm.currentTabIndex}" scope="request" />
<c:set var="tabKey" value="${kfunc:generateTabKey(overrideTitle)}" />
<!--  hit form method to increment tab index -->
<c:set var="dummyIncrementer" value="${kfunc:incrementTabIndex(KualiForm, tabKey)}" />
<c:set var="currentTab" value="${kfunc:getTabState(KualiForm, tabKey)}" />

<%-- default to closed --%>
<c:choose>
	<c:when test="${empty currentTab}">
		<c:set var="isOpen" value="false" />
	</c:when>
	<c:when test="${!empty currentTab}">
		<c:set var="isOpen" value="${currentTab == 'OPEN'}" />
	</c:when>
</c:choose>

<tr>
	<td colspan="${mainColumnCount}" class="subhead">
		<span class="subhead-left"><c:out value="${overrideTitle}" /> &nbsp;</span>
		<c:if test="${isOpen == 'true' || isOpen == 'TRUE'}">
			<html:button
					property="methodToCall.toggleTab.tab${tabKey}"
					alt="hide"
					title="toggle"
					styleClass="btn btn-default small"
					styleId="tab-${tabKey}-imageToggle"
					onclick="javascript: return toggleTab(document, '${tabKey}'); "
					value="Hide"/>
		</c:if>
		<c:if test="${isOpen != 'true' && isOpen != 'TRUE'}">
			<html:button
					property="methodToCall.toggleTab.tab${tabKey}"
					alt="show"
					title="toggle"
					styleClass="btn btn-default small"
					styleId="tab-${tabKey}-imageToggle"
					onclick="javascript: return toggleTab(document, '${tabKey}'); "
					value="Show"/>
		</c:if>
	</td>
</tr>

<c:if test="${isOpen != 'true' && isOpen != 'TRUE'}">
	<tbody style="display: none;" id="tab-${tabKey}-div">
</c:if>

<tr>
	<kul:htmlAttributeHeaderCell colspan="${colSpanItemType + 4}"
		attributeEntry="${itemAttributes.itemTypeCode}" />
	<kul:htmlAttributeHeaderCell colspan="${colSpanExtendedPrice}"
		attributeEntry="${itemAttributes.extendedPrice}" />
	<c:if test="${colSpanBlank > 0}">
		<th colspan="${colSpanBlank}">&nbsp;</th>
	</c:if>
</tr>

<logic:iterate indexId="ctr" name="KualiForm" property="document.items"	id="itemLine">
	<%-- to ensure order this should pull out items from APC instead of this--%>
	<c:if test="${itemLine.itemType.isTaxCharge}">
		<tr>
			<td colspan="${mainColumnCount}" class="tab-subhead" style="border-right: none;">
			<kul:htmlControlAttribute
				attributeEntry="${itemAttributes.itemTypeCode}"
				property="document.item[${ctr}].itemType.itemTypeDescription"
				readOnly="true" />
		</tr>
		<tr>
			<td class="infoline right" colspan="${colSpanItemType + 4}">
				<kul:htmlControlAttribute attributeEntry="${itemAttributes.itemTypeCode}" property="document.item[${ctr}].itemType.itemTypeDescription" readOnly="true" />:&nbsp;
			</td>
			<td class="infoline right" colspan="${colSpanExtendedPrice}">
				<kul:htmlControlAttribute attributeEntry="${itemAttributes.itemUnitPrice}" property="document.item[${ctr}].itemUnitPrice" readOnly="true" styleClass="amount" />
			</td>
			<c:if test="${colSpanBlank > 0}">
			<td colspan="${colSpanBlank}" class="infoline">
				&nbsp;
			</td>
			</c:if>
		</tr>
		<c:if test="${empty KualiForm.editingMode['allowItemEntry'] || !empty itemLine.itemExtendedPrice}">
		    <purap:purapGeneralAccounting
			    accountPrefix="document.item[${ctr}]."
			    itemColSpan="${mainColumnCount}" />
		</c:if>
	</c:if>
</logic:iterate>

<c:if test="${isOpen != 'true' && isOpen != 'TRUE'}">
	</tbody>
</c:if>

